package com.ruoyi.ucp.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author gfhd
 * @since 2024-05-20
 */
@TableName("equipment_model")
public class EquipmentModel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private String id;

    /**
     * 名称
     */
    private String name;

    /**
     * 描述
     */
    private String description;

    /**
     * 容量
     */
    private Double powerProduction;

    /**
     * 厂商编号
     */
    private String manufacturer;

    /**
     * 切入风速
     */
    private Double cutinwindSpeed;

    /**
     * 额定风速
     */
    private Double ratedwindSpeed;

    /**
     * 切出风速
     */
    private Double cutoutwindSpeed;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Double getPowerProduction() {
        return powerProduction;
    }

    public void setPowerProduction(Double powerProduction) {
        this.powerProduction = powerProduction;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public Double getCutinwindSpeed() {
        return cutinwindSpeed;
    }

    public void setCutinwindSpeed(Double cutinwindSpeed) {
        this.cutinwindSpeed = cutinwindSpeed;
    }

    public Double getRatedwindSpeed() {
        return ratedwindSpeed;
    }

    public void setRatedwindSpeed(Double ratedwindSpeed) {
        this.ratedwindSpeed = ratedwindSpeed;
    }

    public Double getCutoutwindSpeed() {
        return cutoutwindSpeed;
    }

    public void setCutoutwindSpeed(Double cutoutwindSpeed) {
        this.cutoutwindSpeed = cutoutwindSpeed;
    }

    @Override
    public String toString() {
        return "EquipmentModel{" +
                "id = " + id +
                ", name = " + name +
                ", description = " + description +
                ", powerProduction = " + powerProduction +
                ", manufacturer = " + manufacturer +
                ", cutinwindSpeed = " + cutinwindSpeed +
                ", ratedwindSpeed = " + ratedwindSpeed +
                ", cutoutwindSpeed = " + cutoutwindSpeed +
                "}";
    }
}
